
CoCoALib - Support #140

Doc & example for convert

27 Apr 2012 12:14 - Anna Maria Bigatti

Status: Closed Start date: 27 Apr 2012

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: CoCoALib-0.9953 Spent time: 8.25 hours

Description

Alessandra reported (some time ago) that the doc for convert was rather unclear -- she could not figure out how to call the various

fns, nor what the differences were.

There is no example prog; a good start is to translate test-convert1 into ex-convert1

History

#1 - 28 May 2012 16:18 - Anna Maria Bigatti

- Category set to Documentation

#2 - 30 May 2012 16:52 - John Abbott

- Subject changed from example for convert to Doc & example for convert

#3 - 25 Mar 2013 18:51 - John Abbott

- Status changed from New to In Progress

- Assignee set to John Abbott

- Target version set to CoCoALib-0.9953

- % Done changed from 0 to 30

JAA has improved the doc for the type conversion fns convert, IsConvertible and ConvertTo.

Still to be done: create an example showing how to use the conversion fns.

PS is the convert procedure ever useful now?  JAA thinks that IsConvertible and ConvertTo will be generally better.

#4 - 26 Mar 2013 16:43 - John Abbott

- % Done changed from 30 to 70

I have removed convert (and replaced all calls to it).

Modified the doc for the conversion functions.

Modified the test for the conversion functions.

Checked in everything except OrdvArith (pending finalization of another improvement).

#5 - 27 Mar 2013 19:36 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 70 to 90
All calls to convert have been eliminated (replaced).

The conversion from BigInt and BigRat to string has been moved into files containing those classes --  currently they are not publicly accessible

(because I cannot think of when it might be useful).

Note: replacing calls to convert by calls to ConvertTo improved readability in every case!

#6 - 29 May 2013 16:48 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

No troubles after 2 months in "feedback", so closing.

I have improved the doc slightly (added a couple of missing conversions).
